Create a protection policy in NetApp Console local deployment
POST /v1/organizations/{organizationId}/protectionpolicies
Creates a new protection policy.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organizationId |
string |
path |
True |
Organization ID |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
description |
string |
False |
Protection policy description. |
name |
string |
True |
Protection policy name. |
snapshotSchedules |
array[snapshotSchedules] |
True |
Array of snapshot schedule objects used to create local snapshot policies. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the performance policy. Can be used to add any additional data related to the performance policy. |
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource schema. Defined values are:
|
Example request
{
"description": "Daily snapshot policy with 7 day retention",
"name": "Daily Backup Policy",
"snapshotSchedules": [
{
"retentionCount": 7,
"schedule": "DAILY"
},
{
"retentionCount": 4,
"schedule": "WEEKLY"
}
],
"tags": [
{
"internal:bxp:metric:associatedWorkloadCnt": "2"
}
],
"type": "application/vnd.netapp.bxp.protectionpolicy",
"version": "1.0"
}
Response
Status: 201, Protection policy created successfully.
| Name | Type | Required | Description |
|---|---|---|---|
description |
string |
False |
Description of the protection policy. |
id |
string |
True |
Unique identifier of the protection policy. |
metadata |
False |
Metadata associated with the resource. |
|
name |
string |
True |
Name of the protection policy. |
organizationId |
string |
False |
Organization ID that the policy is associated with. |
policyType |
string |
False |
Type of the protection policy. |
snapshotSchedules |
array[snapshotSchedules] |
False |
An array of snapshot schedules defined in the protection policy. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the protection policy. Can be used to add any additional data related to the protection policy. |
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource schema. Defined values are:
|
Example response
{
"description": "Daily snapshot policy with 7 day retention",
"id": "4fa85f64-5717-4562-b3fc-2c963f66afa7",
"metadata": {
"createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"labels": [],
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
},
"name": "Daily Backup Policy",
"organizationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"policyType": "USER_DEFINED",
"snapshotSchedules": [
{
"retentionCount": 7,
"schedule": "DAILY"
},
{
"retentionCount": 4,
"schedule": "WEEKLY"
}
],
"tags": [
{
"internal:bxp:metric:associatedWorkloadCnt": "2"
}
],
"type": "application/vnd.netapp.bxp.protectionpolicy",
"version": "1.0"
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The collection specified in the request URI wasn't found.",
"status": "404",
"title": "Collection not found",
"type": "https://bluexp.netapp.io/problems/2"
}
Error
Status: 409, Conflict
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409",
"title": "JSON resource conflict",
"type": "https://bluexp.netapp.io/problems/10"
}
Definitions
See Definitions
snapshotSchedules
| Name | Type | Required | Description |
|---|---|---|---|
retentionCount |
integer |
True |
Number of snapshots to be retained for a schedule. |
schedule |
string |
True |
Snapshot schedule frequency. |
type_bxp_label
Name/value pair.
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the label. |
value |
string |
True |
Value of the label. |
type_bxp_metadata
Metadata associated with the resource.
| Name | Type | Required | Description |
|---|---|---|---|
createdBy |
string |
False |
UUID of the user who created the resource. |
creationTimestamp |
string |
False |
Resource creation date. |
labels |
array[type_bxp_label] |
False |
Array of name/value pairs representing additional information for the resource. |
modificationTimestamp |
string |
False |
Resource modification date. |
modifiedBy |
string |
False |
UUID of the user who modified the resource. |
snapshotSchedules
| Name | Type | Required | Description |
|---|---|---|---|
retentionCount |
integer |
False |
Number of snapshots to retain. |
schedule |
string |
False |
Type of schedule for snapshots. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |